{"openapi":"3.1.0","info":{"title":"Creafi Developer API","description":"Public discovery contract for the developer platform preview. Planned services have no callable endpoints.","version":"1.0.0"},"servers":[{"url":"https://api.creafi.xyz"}],"paths":{"/v1/developer/catalog":{"get":{"tags":["Developer discovery"],"summary":"Discover the developer platform","description":"Discover staged services. This request is public and starts no work.","operationId":"get_developer_catalog_v1_developer_catalog_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperCatalog"}}}}}}}},"components":{"schemas":{"DeveloperAuthentication":{"properties":{"status":{"type":"string","const":"planned","title":"Status","default":"planned"},"scheme":{"type":"string","const":"Bearer","title":"Scheme","default":"Bearer"},"scope":{"type":"string","const":"project","title":"Scope","default":"project"}},"type":"object","title":"DeveloperAuthentication"},"DeveloperCatalog":{"properties":{"api_version":{"type":"string","const":"1","title":"Api Version","default":"1"},"status":{"type":"string","const":"preview","title":"Status","default":"preview"},"openapi":{"type":"string","title":"Openapi"},"authentication":{"$ref":"#/components/schemas/DeveloperAuthentication"},"services":{"items":{"$ref":"#/components/schemas/DeveloperService"},"type":"array","title":"Services"}},"type":"object","required":["openapi","authentication","services"],"title":"DeveloperCatalog"},"DeveloperService":{"properties":{"id":{"type":"string","enum":["agents","sandboxes","runtime"],"title":"Id"},"name":{"type":"string","title":"Name"},"description":{"type":"string","title":"Description"},"status":{"type":"string","const":"planned","title":"Status"},"planned_scopes":{"items":{"type":"string"},"type":"array","title":"Planned Scopes"}},"type":"object","required":["id","name","description","status","planned_scopes"],"title":"DeveloperService"}}}}